Loading...
Searching...
No Matches
DiPluginFormat Class Referenceabstract

abstract interface to pluggable image output formats. More...

Inheritance diagram for DiPluginFormat:

## Public Member Functions

virtual | ~DiPluginFormat ()
| destructor (virtual)
virtual int | write (DiImage *image, FILE *stream, const unsigned long frame=0) const =0
| write given image to a file stream (abstract)

## Protected Member Functions

| DiPluginFormat ()
| constructor (protected)

## Detailed Description

abstract interface to pluggable image output formats.

This is an abstract base class used as an interface to support multiple pluggable image output formats for the dcmimle/dcmimage library. An example implementation can be found in dcmjpeg/libsrc/dipijpeg.cc (JPEG plugin).

## Member Function Documentation

## write()

virtual int DiPluginFormat::write | ( | DiImage * | image,
|  | FILE * | stream,
|  | const unsigned long | frame = 0 ) const

pure virtual

write given image to a file stream (abstract)

Parameters

  image | pointer to DICOM image object to be written
  stream | stream to which the image is written (open in binary mode!)
  frame | index of frame used for output (default: first frame = 0)

Returns
  true if successful, false otherwise

Implemented in DiJPEGPlugin, DiJPLSPlugin, DiPNGPlugin, and DiTIFFPlugin.

The documentation for this class was generated from the following file:

- dcmimgle/include/dcmtk/dcmimgle/diplugin.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0